'use strict';

const util = require("util");
const fs = require("fs");
const parse = require("./");

function fullInspect(obj) {
	return util.inspect(obj, {colors: true, depth: null, customInspect: false})
}

try {
	let contents = fs.readFileSync(process.argv[2]).toString();
	console.log(fullInspect(parse(contents)));
} catch (err) {
	console.log(fullInspect(err))
}